Name: 		rssowl
Version: 	2.2.1
Release: 	%mkrel 1
Summary: 	RSS News Reader
Group:   	Networking/News
License: 	GPL
URL:     	http://www.rssowl.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Source1:	rssowl
Source2:	rssowl.xpm
Source3:	rssowl.desktop
Requires:	java
Requires:	unzip
Requires:	%{_lib}hunspell1.3_0
BuildRequires: %{_lib}hunspell1.3_0
AutoReqProv: no

%description
RSSOwl is a free and powerful news feed reader. RSSOwl lets you gather,
organize and search news in a convenient, easy to use interface with
endless flexibility.



%prep
#Here we go!
cd %_builddir
%ifarch %{ix86}
wget -nc "http://downloads.sourceforge.net/%name/%name-%version.linux.x86.zip"
unzip "%name-%version.linux.x86.zip"
%else
wget -nc "http://downloads.sourceforge.net/%name/%name-%version.linux.x86_64.zip"
unzip "%name-%version.linux.x86_64.zip"
%endif

%build
#no build

%install
rm -rf %{buildroot}

#install it
mkdir -p %{buildroot}/usr/lib/rssowl
cp -r ${RPM_BUILD_DIR}/rssowl/* %{buildroot}/usr/lib/rssowl

#executable
mkdir  -p %{buildroot}/%{_bindir}
install -m 0755 %SOURCE1 %{buildroot}/%{_bindir}

#icon
mkdir  -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps

#desktop file
mkdir  -p %{buildroot}/%{_datadir}/applications
install -m 0644 %SOURCE3 %{buildroot}/%{_datadir}/applications

#fix startup
ln -fs %{_libdir}/libhunspell-1.3.so.0.0.0 %{buildroot}/usr/lib/rssowl/xulrunner/libhunspell-1.2.so.0

#fix permissions
%ifarch %{ix86}
chmod +x %{buildroot}/usr/lib/rssowl/xulrunner/run-mozilla.sh
chmod +x %{buildroot}/usr/lib/rssowl/xulrunner/xulrunner
%else
chmod +x %{buildroot}/usr/lib/rssowl/xulrunner/fix-linux-stack.pl
chmod +x %{buildroot}/usr/lib/rssowl/xulrunner/run-mozilla.sh
chmod +x %{buildroot}/usr/lib/rssowl/xulrunner/xulrunner
%endif


%clean
rm -rf %{buildroot}

#clear out previous version
%pre
rm -rf /usr/lib/rssowl

#double check hunspell symlink
%posttrans
testlink=/usr/lib/rssowl/xulrunner/libhunspell-1.2.so.0
if [ ! -L $testlink ]; then
ln -fs %{_libdir}/libhunspell-1.3.so.0.0.0 /usr/lib/rssowl/xulrunner/libhunspell-1.2.so.0
fi

%files
%defattr(-,root,root,-)
%dir /usr/lib/%name
/usr/lib/%name
%{_bindir}/rssowl
%{_datadir}/pixmaps/rssowl.xpm
%{_datadir}/applications/rssowl.desktop


%changelog
* Tue Jul 07 2015 bb <bb> 2.2.1-1pclos2015
- use AutoReqProv instead
- fix symlink to hunspell

* Sun Jun 21 2015 ghostbunny <ghostbunny at gmx dot de> 2.2-2pclos2015
- add AutoReq tag, the source ships own libraries which conflict with 
  our libraries

* Sun Jun 23 2013 Texstar <texstar at gmail.com> 2.2-1pclos2013
- 2.2 


